#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll d[200005];
ll u[200005];
int l[200005];
int r[200005];
ll x[200005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>d[i]>>u[i];
    }
    for(int i=1;i<=m;i++){
        cin>>l[i]>>r[i]>>x[i];
    }
    for(int i=1;i<=m;i++){
        int br=0;
        for(int j=l[i];j<=r[i];j++){
            if(x[i]>=d[j]&&x[i]<=u[j]){
                br++;
            }
        }
        cout<<br<<endl;
    }
}